Robotsystem of the Robot Group Leipzig: HeightField Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HeightField Class Reference

Height field primitive. More...

`#include <heightfieldprimitive.h>`

Inherits Primitive.

Inheritance diagram for HeightField:

[legend]
Collaboration diagram for HeightField:

[legend]
List of all members.

## Public Member Functions
| HeightField (const std::string &filename, float x_size, float y_size, float height)
| HeightField (osg::HeightField *heightfield, float x_size, float y_size)
virtual | ~HeightField ()
virtual void | init (const OdeHandle &odeHandle, double mass, const OsgHandle &osgHandle, char mode=Body|Geom|Draw)
| registers primitive in ODE and OSG.
virtual void | setPose (const osg::Matrix &pose)
| set the pose of the primitive
virtual void | update ()
| Updates the OSG nodes with ODE coordinates.
virtual OSGPrimitive * | getOSGPrimitive ()
| returns the assoziated osg primitive if there or 0
## Protected Attributes
OSGHeightField * | osgheightfield
dTriMeshDataID | data
OSGPrimitive * | test [20]

## Detailed Description

Height field primitive.

## Constructor & Destructor Documentation

HeightField | ( | const std::string & | filename,
|  | float | x_size,
|  | float | y_size,
|  | float | height |
| ) |  |  |

HeightField | ( | osg::HeightField * | heightfield,
|  | float | x_size,
|  | float | y_size |
| ) |  |  |

~HeightField | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual OSGPrimitive* getOSGPrimitive | ( |  | ) | `[inline, virtual]`

returns the assoziated osg primitive if there or 0

Implements Primitive.

void init | ( | const OdeHandle & | odeHandle,
|  | double | mass,
|  | const OsgHandle & | osgHandle,
|  | char | mode = `Body|Geom|Draw` |
| ) |  |  | `[virtual]`

registers primitive in ODE and OSG.

Parameters:

  | osgHandle | scruct with ODE variables inside (to specify space, world...)
  | mass | Mass of the object in ODE (if withBody = true)
  | osgHandle | scruct with OSG variables inside (scene node, color ...)
  | mode | is a conjuction of Modes.

Implements Primitive.

void setPose | ( | const osg::Matrix & | pose | ) | `[virtual]`

set the pose of the primitive

Reimplemented from Primitive.

void update | ( |  | ) | `[virtual]`

Updates the OSG nodes with ODE coordinates.

This function must be overloaded (usually calls setMatrix of OsgPrimitives)

Implements Primitive.

## Member Data Documentation

dTriMeshDataID data`[protected]`

OSGHeightField* osgheightfield`[protected]`

OSGPrimitive* test[20]`[protected]`

The documentation for this class was generated from the following files:

- heightfieldprimitive.h
- heightfieldprimitive.cpp